> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets the model prediction traffic



## OpenAPI

````yaml /api-specs/cloud/dmm.yaml get /model-monitor/v2/api/model/get-prediction-traffic
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/model/get-prediction-traffic:
    summary: Gets the model prediction traffic
    parameters:
      - in: query
        name: model_ids
        required: true
        schema:
          type: string
      - in: query
        name: start_date
        required: true
        schema:
          type: number
      - in: query
        name: end_date
        required: true
        schema:
          type: number
    get:
      tags:
        - Model
      summary: Gets the model prediction traffic
      operationId: getPredictionTraffic
      responses:
        '200':
          description: Gets the model prediction traffic
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/modelTrafficArray'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    modelTrafficArray:
      type: array
      items:
        $ref: '#/components/schemas/modelTraffic'
    modelTraffic:
      type: object
      required:
        - modelId
        - traffic
      properties:
        traffic:
          title: Model traffic data
          description: A list that contains the traffic data for model.
          type: array
          items:
            $ref: '#/components/schemas/dataTraffic'
        modelId:
          title: Model id
          description: The model id.
          type: string
          example: 60116865cd9ab24dd866cfc6
    dataTraffic:
      type: object
      required:
        - queries
        - date
      properties:
        queries:
          type: number
        date:
          type: integer
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````